<template>
  <div class="account">
    <BasicLayout>
      <h1>Bienvenid@ a los Ajustes</h1>
      <div class="account__section">
        <p class="title">
          Cambiar Nombre:
          <span v-if="user.displayName"> {{ user.displayName }}</span>
        </p>
        <ChangeName />
      </div>

      <div class="account__section">
        <p class="title">
          Cambiar Email:
          <span v-if="user.email"> {{ user.email }}</span>
        </p>
        <ChangeEmail />
      </div>

      <div class="account__section">
        <p class="title">
          Cambiar Contraseña:
          <span v-if="user.password"> {{ user.password }}</span>
        </p>
        <ChangePassword />
      </div>
    </BasicLayout>
  </div>
</template>

<script>
import { computed } from "vue";
import { useStore } from "vuex";
import BasicLayout from "../Layouts/BasicLayout.vue";
import ChangeName from "../components/Account/ChangeName";
import ChangeEmail from "../components/Account/ChangeEmail";
import ChangePassword from "../components/Account/ChangePassword";

export default {
  name: "Account",
  components: {
    BasicLayout,
    ChangeName,
    ChangeEmail,
    ChangePassword,
  },
  setup() {
    const store = useStore();
    const user = computed(() => store.state.user);

    return { user };
  },
};
</script>

<style lang="scss" scoped>
.account {
  h1 {
    margin: 50px 0;
    text-align: center;
    font-weight: bold;
    color: rgb(112, 109, 109);
  }
  &__section {
    position: relative;
    padding: 10px;
    border: 2px solid #b4ceeb;
    padding-top: 25px;
    margin-top: 30px;
    border-radius: 10px;

    .title {
      position: absolute;
      top: -12px;
      background-color: #3596f1;
      border-radius: 3px;
      color: antiquewhite;
      padding: 2px 10px;
    }
  }
}
</style>
